"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotifierRegistry = void 0;
const Logger_1 = __importDefault(require("../utils/Logger"));
class NotifierRegistry {
    static registry = new Map();
    static register(channelName, notifier) {
        if (this.registry.has(channelName)) {
            Logger_1.default.log(`Notifier for ${channelName} is already registered.`);
        }
        this.registry.set(channelName, notifier);
    }
    static get(channelName) {
        const notifier = this.registry.get(channelName);
        if (!notifier)
            throw new Error(`Notifier for ${channelName} not registered`);
        return notifier;
    }
    static unregister(channelName) {
        this.registry.delete(channelName);
    }
}
exports.NotifierRegistry = NotifierRegistry;
//# sourceMappingURL=NotifierRegistry.js.map